Home
Home
  1. πŸ“‘ Endpoints
  • πŸš€ Getting Started
  • πŸ”Ž Screening API
    • Overview
    • Blacklist Matching Logic
    • πŸ“‘ Endpoints
      • Blockchain Analysis
      • Individuals Analysis
      • Organizations Analysis
      • Screening Entities Summary Analysis
      • Create BlackList
      • Get All BlackList Records
      • Get Blacklist Record by ID
      • Delete Blacklist Record by ID
      • Update Blacklist Record by ID
      • Update Blacklist Settings Account
  • 🌊 Flow API
    • Overview
    • Flow Step: Identity Verification
    • Flow Step: Onboarding Individual
    • Flow Step: Onboarding Organization
    • πŸ“‘ Endpoints
      • Authentication token
        POST
      • Get Flow Instances
        GET
      • Get Flow Instance By Id
        GET
      • Get File from Flow Instance
        GET
      • Identity: Get Details
        GET
      • Identity: Get Files
        GET
      • Identity: Update Status
        PUT
      • Onboarding: Get Details
        GET
      • Onboarding: Get File
        GET
      • Onboarding: Get Multiple Files
        GET
      • Onboarding: Update Status
        PUT
      • Onboarding: Get Entity by document number
        GET
      • Onboarding: Get Entity List by document number
        GET
    • πŸ“€ Webhooks
      • Overview
      • Flow
      • Identity Verification
      • Onboarding Individual
      • Onboarding Organizations
      • Identity Verification by Onboarding
  • πŸ’ΈTransaction Screening API
    • πŸ”‘ Authentication
    • Overview
    • Transaction Analysis
    • Monitoring & History
    • Document Types
    • Supported Currencies
    • Diagram
    • πŸ“€ Webhooks
    • πŸ“‘ Endpoints
      • Submit Transaction
      • List Transactions
      • List Document types
      • List Cryptocurrencies
      • Register remitter
      • Register Beneficiary
  • πŸ“‚ Resources
    • Concept Details
    • Enum Validation
Home
Home
  1. πŸ“‘ Endpoints

Onboarding: Get Details

GET
https://verification-id.rillis.io/api/v1/client-api/onboardings/{id}
Allows you to retrieve the details of an onboarding process, whether for an individual or a company. This endpoint provides comprehensive information about the onboarding step, which is a specific stage within an onboarding flow. The request requires an identifier (id) to locate the onboarding record. The response includes a detailed object with all the relevant data for that onboarding instance, enabling you to manage, validate, or display the onboarding status and related details.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟒200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://verification-id.rillis.io/api/v1/client-api/onboardings/' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
  "_id": "67ead05f66d86f9778eaa150",
  "flow": "67cf079a0ebe7c5442de4a23",
  "user": "64204dd759290a9403fef44e",
  "flow_instance": "67eab94e66d86f9778eaa0d7",
  "flow_event": "67ead05f66d86f9778eaa14e",
  "identities": [],
  "data": {
    "data_individual": {
      "address_1": "AV 5 Calle x 2",
      "address_2": "AV 8 Calle 33 2",
      "city": "Colorado",
      "country_of_residence": "USA",
      "name": "name person 2",
      "province": "El caio 2",
      "business_information": {
        "estimated_monthly_transaction_usd": 70000.3,
        "fund_origin": "SALARY",
        "funding_source_type": "INHERITANCE",
        "income_brief_description": "description individual income",
        "legal_relationship_purpose": "COMMERCIAL_OPERATIONS",
        "monthly_income_usd": 7000000,
        "total_assets": 8888888,
        "source_of_income": "SALARY_OR_WAGE"
      },
      "email": "fff@gmail.com",
      "is_pep": true
    },
    "type": "INDIVIDUAL"
  },
  "status": "PENDING_REVIEW",
  "file_references_data": [],
  "completed_at": "2025-03-31T17:26:56.869Z",
  "reason": null,
  "createdAt": "2025-03-31T17:26:55.374Z",
  "updatedAt": "2025-03-31T17:26:56.877Z"
}
Modified atΒ 2026-02-12 17:43:41
Previous
Identity: Update Status
Next
Onboarding: Get File
Built with